Attribute VB_Name = "mGlass"
Option Explicit

Public Type GlassType
    S As String
    N As String
    a0 As Double
    A1 As Double
    a2 As Double
    a3 As Double
    a4 As Double
    a5 As Double
End Type

Public sg(250) As GlassType         'the Schott glass catalog
Public og(300) As GlassType         'the Ohara glass catalog
Public GlassNum As Integer          'the selected glass number
Public GlassSelected As GlassType   'the selected glass
Public Catalog As Integer           'the current catalog =0 Schott, =1 Ohara

Public GlassName As String
Public WaveLength As Double

Public Declare Function FindExecutable Lib "shell32.dll" Alias _
"FindExecutableA" (ByVal lpFile As String, ByVal lpDirectory As String, _
ByVal lpResult As String) As Long

Public ErrMargin As Double
Public Err_Iterate As Boolean



Public Function check_file_ass(ByRef Lresult As String) As Boolean

   Const MAX_PATH = 260
   Const ERROR_FILE_NO_ASSOCIATION = 31&
   Const ERROR_FILE_NOT_FOUND = 2&
   Const ERROR_PATH_NOT_FOUND = 3&
   Const ERROR_FILE_SUCCESS = 32&
   Const ERROR_BAD_FORMAT = 11&

   Dim success As Long
   Dim pos As Long
   Dim lpResult As String
   Dim msg As String
   Dim Filehandle%
   Dim i As Long
   Dim TempFile As String
   
   If Right(App.Path, 1) <> "\" Then
        TempFile = App.Path & "\qwerty_test_figure_ext.len"
    Else
        TempFile = App.Path & "qwerty_test_figure_ext.len"
   End If
   
   Filehandle% = FreeFile
   Open TempFile For Output As #Filehandle%
   Print #Filehandle%, "ok to delete"
   Close #Filehandle%
   

   lpResult = Space$(MAX_PATH)

   success = FindExecutable(TempFile, App.Path, lpResult)

   Select Case success
      Case ERROR_FILE_NO_ASSOCIATION: Lresult = "NO_ASSOCIATION"
      Case ERROR_FILE_NOT_FOUND: Lresult = "FILE_NOT_FOUND"
      Case ERROR_PATH_NOT_FOUND: Lresult = "PATH_NOT_FOUND"
      Case ERROR_BAD_FORMAT:     Lresult = "BAD_FORMAT"

      Case Is >= ERROR_FILE_SUCCESS:

         pos = InStr(lpResult, Chr$(0))

         If pos Then
            Lresult = Left$(lpResult, pos - 1)
         End If

   End Select

   If InStr(Lresult, "OSLO") > 0 Then check_file_ass = True
    
   Kill TempFile
End Function

Public Sub InitGlass()

'   initializes the glass catalogs
    
    Schott
    Ohara
    DisplayGlassList
    
End Sub

Public Function GetIndex(G As GlassType, Wavelengthnm As Double) As Double

'   routine returns the index of refraction for glass G
'   Wavelengthnm is wavelength in nanometers

    Dim w2 As Double, w4 As Double, w6 As Double, w8 As Double
    
    w2 = (Wavelengthnm ^ 2) / 1000000#
    w4 = w2 * w2
    w6 = w2 * w4
    w8 = w4 * w4
    GetIndex = Sqr(G.a0 + G.A1 * w2 + G.a2 / w2 + G.a3 / w4 + G.a4 / w6 + G.a5 / w8)
    
End Function

Public Sub DisplayGlassList()

'   creates the glass catalog list

Dim i As Integer

RiN.Schott_List.Clear
RiN.Ohara_List.Clear

'Populate Schott List

For i = 0 To 240
    RiN.Schott_List.AddItem sg(i).N
Next i

'Populate Ohara List
For i = 0 To 275
    RiN.Ohara_List.AddItem og(i).N
Next i

End Sub

Public Sub Schott()

Dim sloc(10) As Integer, i As Integer, N As Integer, temp As String, l As Integer
Dim temp1 As String

sg(0).S = "FK1*|2.13925|-0.00924094|0.00874498|0.000214636|-1.2672e-05|6.81547e-07"
sg(1).S = "FK3|2.12024|-0.00868686|0.00914012|0.000126132|-8.29606e-07|1.31806e-07"
sg(2).S = "FK5|2.18876|-0.0095572|0.00899152|0.000145605|-5.28431e-06|3.4588e-07"
sg(3).S = "FK51|2.18833|-0.00536588|0.00774366|0.000131293|-7.41795e-06|4.58151e-07"
sg(4).S = "FK52|2.18586|-0.00520146|0.00810749|0.000100858|-2.22418e-06|1.91975e-07"
sg(5).S = "FK54|2.0478|-0.00486851|0.0062782|8.88451e-05|-4.12675e-06|2.43929e-07"
sg(6).S = "PK1|2.23476|-0.010003|0.0100009|0.00013066|-9.59581e-07|1.5899e-07"
sg(7).S = "PK2|2.27705|-0.010532|0.0101884|0.000290016|-1.96029e-05|1.09677e-06"
sg(8).S = "PK3|2.2977|-0.0103316|0.0107572|0.000212552|-8.91903e-06|5.78543e-07"
sg(9).S = "PK50|2.28517|-0.00959788|0.00999509|0.000156618|-4.38664e-06|3.14388e-07"
sg(10).S = "PK51|2.30955|-0.00570993|0.0095911|0.000144553|-5.14138e-06|3.59949e-07"
sg(11).S = "PSK2|2.42663|-0.0105936|0.012591|0.000174079|-3.26225e-07|1.99162e-07"
sg(12).S = "PSK3|2.37682|-0.0101465|0.0121671|0.000119166|6.42506e-06|-1.74787e-07"
sg(13).S = "PSK50|2.39463|-0.00968516|0.0114579|0.000176387|-3.4508e-06|2.97047e-07"
sg(14).S = "PSK52|2.53427|-0.0103424|0.0126364|0.000382184|-2.87423e-05|1.67481e-06"
sg(15).S = "PSK53|2.58524|-0.00942909|0.0140745|0.000279248|-1.27792e-05|9.47692e-07"
sg(16).S = "BK1|2.25137|-0.0093254|0.0105396|0.000225954|-1.07291e-05|7.28328e-07"
sg(17).S = "BK3|2.21845|-0.0105391|0.00991157|0.000185126|-7.01806e-06|4.23857e-07"
sg(18).S = "BK6|2.31251|-0.00953988|0.0116687|0.000155981|1.16236e-06|1.2318e-07"
sg(19).S = "BK7|2.27189|-0.0101081|0.0105925|0.00020817|-7.64725e-06|4.9241e-07"
sg(20).S = "UBK7|2.27156|-0.00985716|0.0108085|0.000140682|1.30418e-06|4.86159e-08"
sg(21).S = "BK8|2.28049|-0.00941905|0.0113499|5.67418e-05|1.21497e-05|-4.27715e-07"
sg(22).S = "BK10|2.21772|-0.0102487|0.00966277|0.000167828|-5.53287e-06|3.47474e-07"
sg(23).S = "BaLK1*|2.29669|-0.00829756|0.0119072|0.000199083|-2.03068e-06|3.14297e-07"
sg(24).S = "BaLKN3|2.27385|-0.0088519|0.0115116|0.000206221|-3.95992e-06|4.48448e-07"
sg(25).S = "K3|2.27276|-0.00878407|0.0113258|0.000348281|-2.19769e-05|1.39416e-06"
sg(26).S = "K4|2.2734|-0.00887684|0.0121617|0.000189664|1.4584e-06|2.76877e-07"
sg(27).S = "K5|2.28503|-0.00860107|0.0118068|0.000207657|-2.13149e-06|3.21312e-07"
sg(28).S = "K7|2.25201|-0.00846308|0.0113514|0.000184212|-2.04505e-06|3.48147e-07"
sg(29).S = "K10|2.22098|-0.00832956|0.0119631|0.000138797|7.83588e-06|8.43446e-08"
sg(30).S = "K11|2.22112|-0.00914426|0.0106703|0.000182631|-1.41054e-06|3.30963e-07"
sg(31).S = "K50|2.28611|-0.0091773|0.0115626|0.000225509|-5.41634e-06|4.3499e-07"
sg(32).S = "UK50|2.2858|-0.00897333|0.0117987|0.000149524|3.43343e-06|5.93931e-08"
sg(33).S = "K51*|2.23515|-0.00998235|0.0111617|0.000186377|-2.598e-06|4.9366e-07"
sg(34).S = "ZK1|2.3158|-0.00874939|0.0123296|0.000263111|-8.28542e-06|7.37358e-07"
sg(35).S = "ZK5*|2.31514|-0.00779246|0.0130294|0.000274397|-5.92138e-06|6.38417e-07"
sg(36).S = "ZKN7|2.24472|-0.00941658|0.0115334|2.71176e-05|1.75533e-05|-7.05641e-07"
sg(37).S = "BaK1|2.4333|-0.00849314|0.0138935|0.000267983|-6.19461e-06|6.2209e-07"
sg(38).S = "BaK2|2.33701|-0.00863893|0.0122651|0.000242735|-6.3917e-06|5.12291e-07"
sg(39).S = "BaK4|2.42183|-0.00921671|0.0138217|0.000329557|-1.21536e-05|1.03338e-06"
sg(40).S = "BaK5|2.38617|-0.00846066|0.013233|0.000209492|-5.55807e-07|2.97651e-07"
sg(41).S = "BaK6*|2.43945|-0.0095754|0.013786|0.000370955|-1.76614e-05|1.3821e-06"
sg(42).S = "BaK50|2.41955|-0.00953121|0.0137753|0.000181536|4.66189e-06|2.04489e-08"
sg(43).S = "SK1|2.54915|-0.00929962|0.0154246|0.0002741|-1.73939e-06|4.00379e-07"
sg(44).S = "SK2|2.53951|-0.00880261|0.0156912|0.000185189|8.47966e-06|-7.07108e-08"
sg(45).S = "SK3|2.54702|-0.0101189|0.0146393|0.000299764|-9.88653e-06|8.22513e-07"
sg(46).S = "SK4|2.55852|-0.00988249|0.0151518|0.000211345|3.41301e-06|1.26734e-07"
sg(47).S = "SK5|2.48766|-0.0104423|0.0137361|0.000163927|4.74634e-06|-4.93036e-08"
sg(48).S = "SK6|2.55968|-0.00912175|0.0156103|0.000303474|-6.52614e-06|6.90398e-07"
sg(49).S = "SK7|2.54202|-0.00973516|0.0148845|0.000173701|6.34617e-06|-5.33166e-08"
sg(50).S = "SK8|2.55162|-0.00937384|0.0154512|0.000351594|-1.1853e-05|9.79565e-07"
sg(51).S = "SK9*|2.55921|-0.00900207|0.0162805|0.000188618|1.36795e-05|-3.00711e-07"
sg(52).S = "SK10|2.58817|-0.00930422|0.0160758|0.000220837|3.56753e-06|2.61436e-07"
sg(53).S = "SK11|2.40989|-0.00951835|0.0128055|0.000242494|-7.55611e-06|5.9784e-07"
sg(54).S = "SK12|2.46744|-0.00935954|0.0139217|0.00020838|1.51076e-07|2.43018e-07"
sg(55).S = "SK13|2.49341|-0.00920314|0.0142596|0.000296767|-9.37461e-06|7.43412e-07"
sg(56).S = "SK14|2.53006|-0.0101263|0.0144836|0.00015266|6.80012e-06|-6.76661e-08"
sg(57).S = "SK15|2.59012|-0.00994155|0.0157355|0.000199448|6.32983e-06|1.96315e-09"
sg(58).S = "SK16|2.58463|-0.0110594|0.0148563|0.000223772|-4.90299e-07|2.84459e-07"
sg(59).S = "SKN18*|2.63762|-0.010519|0.0165898|0.000349391|-1.00281e-05|1.18026e-06"
sg(60).S = "SK19*|2.55943|-0.00935414|0.0154979|0.000236559|1.433e-06|2.93278e-07"
sg(61).S = "SK20*|2.3976|-0.0096664|0.0125082|0.000255653|-9.69473e-06|6.85129e-07"
sg(62).S = "SK51|2.5855|-0.00961128|0.0148032|0.000286287|-8.46387e-06|7.99671e-07"
sg(63).S = "SK52*|2.63789|-0.0110472|0.0166344|0.000309971|-3.54808e-06|5.78997e-07"
sg(64).S = "KF1*|2.33243|-0.0085564|0.0140128|0.000344942|-7.60533e-06|1.26603e-06"
sg(65).S = "KF3|2.25915|-0.00868106|0.0120745|0.000365158|-1.90898e-05|1.43452e-06"
sg(66).S = "KF6|2.26518|-0.0084401|0.0131851|0.00023959|2.03106e-06|6.08135e-07"
sg(67).S = "KF9|2.28244|-0.00859601|0.0134426|0.000278035|-4.9999e-07|7.71059e-07"
sg(68).S = "KF50*|2.30458|-0.0088383|0.0134847|0.000386019|-1.33796e-05|1.33595e-06"
sg(69).S = "BaLF3*|2.42513|-0.00743472|0.0154875|0.000163757|1.50272e-05|-1.79535e-07"
sg(70).S = "BaLF4|2.45284|-0.00920477|0.0145528|0.000430467|-2.04898e-05|1.59244e-06"
sg(71).S = "BaLF5|2.35446|-0.0079054|0.0139719|0.000259367|-1.50647e-07|6.04106e-07"
sg(72).S = "BaLF6*|2.48024|-0.00860002|0.0156241|0.000300403|-2.21191e-06|8.00132e-07"
sg(73).S = "BaLF8*|2.37183|-0.00838404|0.0143792|0.000397421|-1.30416e-05|1.43866e-06"
sg(74).S = "BaLF50|2.47929|-0.00920136|0.0156151|0.000434521|-1.65521e-05|1.66588e-06"
sg(75).S = "BaLF51*|2.43347|-0.00853432|0.015241|0.000306773|-1.95151e-06|8.56895e-07"
sg(76).S = "SSK1|2.56808|-0.00906251|0.0166087|0.000252924|5.25408e-06|3.59122e-07"
sg(77).S = "SSK2|2.58329|-0.00902408|0.0170287|0.000258816|6.76486e-06|3.47317e-07"
sg(78).S = "SSK3|2.55873|-0.00900625|0.0167931|0.000434016|-1.29496e-05|1.5042e-06"
sg(79).S = "SSK4|2.57078|-0.00925778|0.0161708|0.000277427|1.26865e-07|4.50448e-07"
sg(80).S = "SSKN5|2.69712|-0.0105166|0.0180533|0.000640607|-3.94932e-05|3.25676e-06"
sg(81).S = "SSKN8|2.56706|-0.00986631|0.0170784|0.000505541|-2.14033e-05|2.4583e-06"
sg(82).S = "SSK50|2.56965|-0.00909072|0.0166552|0.000376883|-9.54485e-06|1.29598e-06"
sg(83).S = "SSK51|2.52565|-0.00884792|0.0160747|0.000280256|1.15915e-07|7.32665e-07"
sg(84).S = "SSK52*|2.69639|-0.010348|0.0186185|0.00046286|-1.34767e-05|1.61076e-06"
sg(85).S = "LaKN6|2.65209|-0.0106343|0.0163145|0.00024908|7.05056e-07|2.70876e-07"
sg(86).S = "LaKN7|2.68203|-0.0114315|0.0164341|0.000243738|1.71176e-06|2.15759e-07"
sg(87).S = "LaK8|2.87912|-0.0148872|0.0196626|0.000438418|-1.29512e-05|1.15806e-06"
sg(88).S = "LaK9|2.80815|-0.0142666|0.0180082|0.000567488|-3.28993e-05|2.04381e-06"
sg(89).S = "LaK10|2.89846|-0.014857|0.020985|0.000545069|-1.72973e-05|1.79936e-06"
sg(90).S = "LaK11|2.70313|-0.0122251|0.0167152|0.000324763|-5.1327e-06|5.04617e-07"
sg(91).S = "LaKN12|2.76271|-0.0104446|0.0186018|0.000258934|7.65566e-06|-3.70614e-08"
sg(92).S = "LaKN13|2.81151|-0.0103867|0.0197344|0.000328565|3.20516e-06|3.09251e-07"
sg(93).S = "LaKN14|2.82728|-0.0145436|0.0186072|0.000368679|-6.98265e-06|7.02736e-07"
sg(94).S = "LaKN16*|2.94402|-0.0145571|0.0216172|0.000401408|2.45172e-07|5.81906e-07"
sg(95).S = "LaK20*|2.80888|-0.00972991|0.0205473|0.000318726|6.632e-06|3.10141e-07"
sg(96).S = "LaK21|2.64787|-0.0115748|0.0157824|0.000172918|7.78828e-06|-1.10638e-07"
sg(97).S = "LaKN22|2.67751|-0.0104397|0.017313|0.000236229|8.16815e-06|-1.35393e-07"
sg(98).S = "LaK23|2.73679|-0.0119058|0.0170998|0.000342869|-8.12878e-06|7.15961e-07"
sg(99).S = "LaK28|2.97905|-0.0146454|0.0223766|0.000442389|-1.69066e-06|7.37841e-07"
sg(100).S = "LaK31|2.82839|-0.0149637|0.0182103|0.000368162|-8.62833e-06|7.56493e-07"
sg(101).S = "LLF1|2.35052|-0.00853064|0.0157509|0.000428114|-6.98757e-06|1.71755e-06"
sg(102).S = "LLF2|2.32992|-0.00854444|0.0150314|0.000402657|-7.6e-06|1.56591e-06"
sg(103).S = "LLF3*|2.38803|-0.00910109|0.0157892|0.000405167|-5.4507e-06|1.59928e-06"
sg(104).S = "LLF4*|2.38951|-0.00863589|0.016448|0.000451666|-7.41072e-06|1.86841e-06"
sg(105).S = "LLF6|2.3047|-0.00851615|0.0143194|0.000354009|-5.62393e-06|1.30191e-06"
sg(106).S = "LLF7|2.35254|-0.00880304|0.0157034|0.000488402|-1.46117e-05|2.11256e-06"
sg(107).S = "BaF3|2.45493|-0.0083372|0.0168413|0.000501685|-1.44137e-05|2.07714e-06"
sg(108).S = "BaF4|2.52216|-0.00833733|0.0186145|0.000606039|-1.89203e-05|2.73752e-06"
sg(109).S = "BaF5*|2.5332|-0.00852648|0.0171644|0.000414648|-7.28768e-06|1.41291e-06"
sg(110).S = "BaFN6|2.47635|-0.00912292|0.0168047|0.000345586|2.53305e-06|1.19009e-06"
sg(111).S = "BaF8|2.58173|-0.0086743|0.0186113|0.000469953|-7.31028e-06|1.77997e-06"
sg(112).S = "BaF9|2.64535|-0.0096193|0.0183691|0.000692912|-3.79506e-05|3.22532e-06"
sg(113).S = "BaFN10|2.72931|-0.0103565|0.0202366|0.000589697|-2.02883e-05|2.8522e-06"
sg(114).S = "BaFN11|2.72007|-0.0101927|0.0197609|0.000519354|-1.40749e-05|2.22297e-06"
sg(115).S = "BaF12*|2.62882|-0.00936861|0.0196946|0.000583121|-1.7556e-05|2.94711e-06"
sg(116).S = "BaF13|2.72258|-0.00975917|0.021079|0.000627625|-1.89475e-05|3.20301e-06"
sg(117).S = "BaF50|2.76493|-0.00938289|0.0227375|0.000446065|6.12009e-06|1.74837e-06"
sg(118).S = "BaF51|2.66883|-0.0092477|0.0206603|0.000528931|-7.08674e-06|2.17975e-06"
sg(119).S = "BaF52|2.53524|-0.00905816|0.0173604|0.000697641|-3.8819e-05|3.56563e-06"
sg(120).S = "BaF53*|2.72944|-0.0106684|0.0202398|0.000581389|-1.82499e-05|2.57464e-06"
sg(121).S = "BaF54*|2.71958|-0.0103225|0.0200982|0.000438678|-2.39369e-06|1.5014e-06"
sg(122).S = "LF1*|2.42176|-0.00859061|0.0176512|0.000584151|-1.68845e-05|2.72597e-06"
sg(123).S = "LF2*|2.46828|-0.00862272|0.019045|0.000629719|-1.55921e-05|3.05025e-06"
sg(124).S = "LF3*|2.44792|-0.00851523|0.0186851|0.000467879|1.34223e-06|2.00214e-06"
sg(125).S = "LF4*|2.4365|-0.00869009|0.0184279|0.000561731|-1.12198e-05|2.70128e-06"
sg(126).S = "LF5|2.44418|-0.00830597|0.0190007|0.000541297|-4.19731e-06|2.37429e-06"
sg(127).S = "LF6*|2.40432|-0.00843813|0.0176238|0.000475079|-4.0603e-06|2.05567e-06"
sg(128).S = "LF7|2.42594|-0.00861378|0.0183533|0.000539519|-6.9791e-06|2.40874e-06"
sg(129).S = "LF8|2.39666|-0.00829073|0.0171991|0.000452989|-3.89957e-06|1.90052e-06"
sg(130).S = "F1|2.57139|-0.00845438|0.0236116|0.000783465|-1.03312e-05|4.2752e-06"
sg(131).S = "F2|2.55541|-0.00887461|0.0224948|0.00086925|-2.40117e-05|4.53652e-06"
sg(132).S = "F3|2.53427|-0.00865654|0.0221605|0.000718289|-8.37573e-06|3.55491e-06"
sg(133).S = "F4|2.54469|-0.00859257|0.0225831|0.000737899|-9.50607e-06|3.82577e-06"
sg(134).S = "F5|2.50697|-0.00866786|0.0211053|0.000706087|-1.37312e-05|3.54791e-06"
sg(135).S = "F6|2.60382|-0.00882248|0.0238722|0.000963579|-2.96536e-05|5.41034e-06"
sg(136).S = "F7|2.57001|-0.00845945|0.0232431|0.000912096|-2.5956e-05|5.1185e-06"
sg(137).S = "F8|2.48479|-0.00876904|0.0202131|0.000636215|-8.32307e-06|2.94728e-06"
sg(138).S = "F9|2.55992|-0.00939034|0.0217455|0.000751687|-1.62555e-05|4.05518e-06"
sg(139).S = "FN11|2.56104|-0.0114884|0.0211895|0.00125042|-8.91307e-05|1.0481e-05"
sg(140).S = "F13|2.56148|-0.0085681|0.0230749|0.000812717|-1.68522e-05|4.51661e-06"
sg(141).S = "F14|2.5013|-0.00877706|0.020834|0.000713657|-1.53564e-05|3.54581e-06"
sg(142).S = "F15|2.5139|-0.00888483|0.0210487|0.000778009|-1.97272e-05|3.80392e-06"
sg(143).S = "BaSF1|2.57789|-0.00832791|0.0218419|0.000686182|-8.15306e-06|3.30135e-06"
sg(144).S = "BaSF2|2.69261|-0.00874325|0.0251761|0.000977024|-2.86807e-05|5.79314e-06"
sg(145).S = "BaSF5*|2.51315|-0.00857914|0.0190141|0.000632216|-1.75331e-05|2.87399e-06"
sg(146).S = "BaSF6|2.7138|-0.00946568|0.0221281|0.000773764|-2.88575e-05|4.27975e-06"
sg(147).S = "BaSF10|2.65313|-0.00813885|0.0229956|0.00073536|-1.34074e-05|3.69623e-06"
sg(148).S = "BaSF12|2.71728|-0.00950558|0.0233269|0.000933799|-3.99964e-05|5.6639e-06"
sg(149).S = "BaSF13|2.80553|-0.0105836|0.0247804|0.00107535|-5.40469e-05|7.27396e-06"
sg(150).S = "BaSF14*|2.80406|-0.0101216|0.0272779|0.00119209|-5.23042e-05|8.65515e-06"
sg(151).S = "BaSF50*|2.84304|-0.0123927|0.0266774|0.00110365|-3.8659e-05|6.07984e-06"
sg(152).S = "BaSF51|2.89035|-0.0118083|0.0261372|0.00122195|-6.02564e-05|6.61937e-06"
sg(153).S = "BaSF52|2.82471|-0.0130662|0.0238083|0.000893023|-3.34487e-05|4.45068e-06"
sg(154).S = "BaSF54|2.91791|-0.0113716|0.0296975|0.00202845|-0.000143045|1.53931e-05"
sg(155).S = "BaSF55*|2.80809|-0.0130765|0.0249613|0.00194127|-0.000157767|1.4563e-05"
sg(156).S = "BaSF56|2.67169|-0.00887226|0.0240529|0.000996552|-3.85185e-05|5.93576e-06"
sg(157).S = "BaSF57|2.66292|-0.00986503|0.0215372|0.000665322|-1.41484e-05|3.33871e-06"
sg(158).S = "LaFN2|2.96697|-0.0103543|0.0251707|0.00063259|-9.8894e-06|2.42078e-06"
sg(159).S = "LaFN3*|2.88232|-0.0102172|0.0223653|0.00055913|-1.29591e-05|1.82924e-06"
sg(160).S = "LaFN7|2.96767|-0.0134655|0.0305622|0.00111473|-2.398e-05|6.21759e-06"
sg(161).S = "LaFN8|2.93437|-0.0125915|0.0256125|0.000828465|-2.21086e-05|3.94585e-06"
sg(162).S = "LaF9|3.09982|-0.0121917|0.0371477|0.00255596|-0.000157214|1.8886e-05"
sg(163).S = "LaFN10|3.10524|-0.0154583|0.0269874|0.000743675|-1.29212e-05|2.7404e-06"
sg(164).S = "LaFN11*|2.98247|-0.0117409|0.0334137|0.00143429|-4.49361e-05|9.14795e-06"
sg(165).S = "LaF13|3.06045|-0.0122424|0.0304417|0.000961853|-1.62311e-05|4.91813e-06"
sg(166).S = "LaF20|2.76985|-0.0100035|0.0208822|0.000458839|-5.02751e-06|1.64108e-06"
sg(167).S = "LaFN2*1|3.12396|-0.0151474|0.0256463|0.000612509|-9.17607e-06|1.70348e-06"
sg(168).S = "LaF22|3.08105|-0.0124716|0.0304406|0.00127281|-5.94112e-05|8.81345e-06"
sg(169).S = "LaF23*|2.7922|-0.00960096|0.020841|0.000394959|4.4953e-06|7.86289e-07"
sg(170).S = "LaFN24|3.01882|-0.015176|0.0240403|0.000530385|-1.3347e-06|1.20643e-06"
sg(171).S = "LaF25*|3.09977|-0.0144283|0.0278994|0.00103456|-4.30084e-05|5.49175e-06"
sg(172).S = "LaF26*|2.96764|-0.0135999|0.0270269|0.000882845|-2.20425e-05|4.56651e-06"
sg(173).S = "LaFN28|3.07505|-0.0147437|0.0240044|0.000559494|-1.00071e-05|1.15592e-06"
sg(174).S = "LaSFN3*|3.17838|-0.0137932|0.0304205|0.000851329|-9.37312e-06|3.50888e-06"
sg(175).S = "LaSF8*|3.15139|-0.0125958|0.0369081|0.00158209|-5.11011e-05|1.0662e-05"
sg(176).S = "LaSFN9|3.29943|-0.0116804|0.0401331|0.0013264|4.74388e-06|7.85072e-06"
sg(177).S = "LaSF11*|3.16341|-0.0144275|0.0283841|0.000602996|6.60297e-06|1.4485e-06"
sg(178).S = "LaSF13*|3.33312|-0.013162|0.0355413|0.00141774|-5.20191e-05|7.23481e-06"
sg(179).S = "LaSFN15|3.41743|-0.0155049|0.0365361|0.0010425|-1.80678e-06|3.83936e-06"
sg(180).S = "LaSFN18*|3.52781|-0.0170496|0.042895|0.00192482|-7.53889e-05|1.3032e-05"
sg(181).S = "LaSFN30|3.17313|-0.014824|0.0268628|0.00069284|-1.22655e-05|1.72634e-06"
sg(182).S = "LaSFN31|3.43222|-0.0127908|0.0351335|0.000847631|4.55518e-06|1.65505e-06"
sg(183).S = "LaSF32|3.13855|-0.0153782|0.0349819|0.00248482|-0.000173339|1.95969e-05"
sg(184).S = "LaSF33|3.15421|-0.0114814|0.0346844|0.00129743|-2.75696e-05|7.84619e-06"
sg(185).S = "SF1|2.84588|-0.00982605|0.032193|0.00174916|-7.89643e-05|1.18587e-05"
sg(186).S = "SF2|2.63619|-0.00900875|0.0251798|0.00111719|-4.01121e-05|6.62548e-06"
sg(187).S = "SF3|2.91446|-0.00972377|0.0348553|0.00202592|-0.000103483|1.49591e-05"
sg(188).S = "SF4|2.9606|-0.0093495|0.0374044|0.00186347|-6.54032e-05|1.37657e-05"
sg(189).S = "SF5|2.71056|-0.0091212|0.0277605|0.00127397|-4.78893e-05|8.0562e-06"
sg(190).S = "SF6|3.1195|-0.0109026|0.0413307|0.00318002|-0.000219532|2.6671e-05"
sg(191).S = "SF7*|2.61297|-0.0089265|0.0245531|0.000977004|-2.6551e-05|5.49097e-06"
sg(192).S = "SF8|2.75947|-0.00936969|0.0293282|0.00143859|-5.85434e-05|9.3242e-06"
sg(193).S = "SF9|2.65639|-0.00899163|0.0260994|0.0010142|-2.32351e-05|5.81745e-06"
sg(194).S = "SF10|2.87847|-0.0105655|0.0332794|0.00205514|-0.000113962|1.634e-05"
sg(195).S = "SF11|3.05396|-0.0115804|0.0391998|0.00294628|-0.00020371|2.76336e-05"
sg(196).S = "SF12|2.63859|-0.00948798|0.0249842|0.00119706|-5.57283e-05|7.88146e-06"
sg(197).S = "SF13|2.91776|-0.0114833|0.0338258|0.00252774|-0.000173329|2.14653e-05"
sg(198).S = "SF14|2.9827|-0.0117201|0.035995|0.0029251|-0.000219137|2.67008e-05"
sg(199).S = "SF15|2.78983|-0.0102605|0.0297071|0.00191376|-0.000124686|1.51872e-05"
sg(200).S = "SF16|2.63125|-0.00880421|0.0252823|0.00101269|-2.78612e-05|5.89277e-06"
sg(201).S = "SF17*|2.64322|-0.00888604|0.0256319|0.00107607|-3.35236e-05|6.40524e-06"
sg(202).S = "SF18|2.85778|-0.00948893|0.0330238|0.00171433|-7.40644e-05|1.20785e-05"
sg(203).S = "SF19|2.69423|-0.00942852|0.0268063|0.00121204|-4.55165e-05|7.55922e-06"
sg(204).S = "SF50*|2.65741|-0.00955457|0.0250815|0.00153509|-9.17374e-05|9.97414e-06"
sg(205).S = "SF51*|2.67851|-0.0118675|0.0230373|0.00226514|-0.000200723|1.63802e-05"
sg(206).S = "SF52*|2.75762|-0.00970692|0.0290089|0.00168344|-8.68322e-05|1.12668e-05"
sg(207).S = "SF53|2.87889|-0.0100383|0.0332328|0.00203644|-0.000117633|1.56725e-05"
sg(208).S = "SF54|2.91573|-0.00946076|0.035929|0.00168301|-4.64511e-05|1.21045e-05"
sg(209).S = "SF55|2.9811|-0.0101061|0.0377254|0.00216928|-9.4744e-05|1.64045e-05"
sg(210).S = "SF56|3.051|-0.00941493|0.0417298|0.00197799|-4.84215e-05|1.57344e-05"
sg(211).S = "SF57|3.25785|-0.0145449|0.0420289|0.00522959|-0.00046932|4.4359e-05"
sg(212).S = "SF58|3.47827|-0.0107669|0.0586769|0.00422073|-0.000228953|4.08479e-05"
sg(213).S = "SF59|3.60495|-0.0175795|0.0547773|0.00808379|-0.000769756|7.92625e-05"
sg(214).S = "SF61*|2.94585|-0.00927235|0.0375133|0.00168073|-3.39787e-05|1.21544e-05"
sg(215).S = "SF62*|2.7369|-0.00912101|0.0287181|0.00123079|-3.77809e-05|7.86178e-06"
sg(216).S = "SF63|2.93936|-0.0096548|0.0366748|0.00178818|-5.22824e-05|1.28679e-05"
sg(217).S = "SFN64*|2.8126|-0.011916|0.0310413|0.00140839|-4.49781e-05|1.14191e-05"
sg(218).S = "TiK1*|2.1574|-0.00840042|0.0104576|0.000218226|-5.50636e-06|5.44691e-07"
sg(219).S = "TiF1*|2.24731|-0.00890441|0.0124935|0.000426506|-2.15648e-05|2.63641e-06"
sg(220).S = "TiF2*|2.30624|-0.00935139|0.0142182|0.000615379|-3.94939e-05|4.73633e-06"
sg(221).S = "TiF3|2.34884|-0.0103573|0.0146392|0.00110217|-9.36224e-05|8.20941e-06"
sg(222).S = "TiF4*|2.44983|-0.0101286|0.0187537|0.00119996|-8.86103e-05|9.81392e-06"
sg(223).S = "TiFN5|2.47574|-0.0102823|0.0201027|0.00123355|-8.5903e-05|1.02575e-05"
sg(224).S = "TiF6|2.53884|-0.0105527|0.0220047|0.0020231|-0.000183458|2.3097e-05"
sg(225).S = "TiSF1*|2.70916|-0.0127502|0.0270978|0.00244368|-0.000212442|2.35187e-05"
sg(226).S = "KzF1|2.36386|-0.00972961|0.0146859|0.000369589|-6.60671e-06|1.11849e-06"
sg(227).S = "KzF2|2.3016|-0.0104131|0.0132642|0.000351245|-1.12834e-05|1.16441e-06"
sg(228).S = "KzF6*|2.2934|-0.0103461|0.0133199|0.000348332|-9.93541e-06|1.12279e-06"
sg(229).S = "KzFS1|2.54951|-0.0146145|0.0182461|0.000608604|-2.06137e-05|2.35006e-06"
sg(230).S = "KzFSN2|2.39128|-0.0132446|0.0135243|0.000334756|-1.1614e-05|1.09398e-06"
sg(231).S = "KzFSN4|2.54934|-0.0132346|0.0185862|0.000547597|-1.1718e-05|2.00429e-06"
sg(232).S = "KzFSN5|2.66998|-0.0139416|0.0223841|0.000747809|-1.73412e-05|3.44273e-06"
sg(233).S = "KzFS6|2.48773|-0.0128944|0.0165673|0.000363473|-1.59949e-06|1.10237e-06"
sg(234).S = "KzFSN7*|2.74973|-0.0137088|0.0248199|0.000960063|-3.33078e-05|5.82177e-06"
sg(235).S = "KzFS8|2.87176|-0.0135013|0.0289644|0.00109705|-2.41656e-05|5.69946e-06"
sg(236).S = "KzFSN9|2.50664|-0.0131787|0.017087|0.000471299|-1.1359e-05|1.69468e-06"
sg(237).S = "LgSK2*|2.47508|-0.00543045|0.0138932|0.000229906|-1.68685e-06|4.39597e-07"
sg(238).S = "SFL6|3.12069|-0.0132794|0.0419056|0.00275059|-0.000151738|2.56049e-05"
sg(239).S = "SFL56|3.05497|-0.0128584|0.040081|0.00233765|-0.000106827|2.14468e-05"
sg(240).S = "LaKL21|2.64969|-0.0141808|0.0151732|0.000314645|-1.08146e-05|7.98289e-07"

RiN.Sort_Glass.Clear

For N = 0 To 240
    RiN.Sort_Glass.AddItem sg(N).S
Next N

DoEvents

For N = 0 To 240
    RiN.Sort_Glass.ListIndex = N
    sg(N).S = RiN.Sort_Glass.Text
Next N

For N = 0 To 240
sloc(0) = 0

For i = 1 To 6
    sloc(i) = InStr(sloc(i - 1) + 1, sg(N).S, "|")
Next i
sg(N).N = Left$(sg(N).S, sloc(1) - 1)

l = Len(sg(N).S)
temp = Right$(sg(N).S, l - sloc(1))
temp1 = Left$(temp, sloc(2) - sloc(1) - 1)
sg(N).a0 = temp1

l = Len(temp)
temp = Right$(sg(N).S, l - (sloc(2) - sloc(1)))
temp1 = Left$(temp, sloc(3) - sloc(2) - 1)
sg(N).A1 = temp1

l = Len(temp)
temp = Right$(sg(N).S, l - (sloc(3) - sloc(2)))
temp1 = Left$(temp, sloc(4) - sloc(3) - 1)
sg(N).a2 = temp1

l = Len(temp)
temp = Right$(sg(N).S, l - (sloc(4) - sloc(3)))
temp1 = Left$(temp, sloc(5) - sloc(4) - 1)
sg(N).a3 = temp1

l = Len(temp)
temp = Right$(sg(N).S, l - (sloc(5) - sloc(4)))
temp1 = Left$(temp, sloc(6) - sloc(5) - 1)
sg(N).a4 = temp1

l = Len(temp)
temp = Right$(sg(N).S, l - (sloc(6) - sloc(5)))
sg(N).a5 = temp
Next N

End Sub

Public Sub Ohara()
Dim sloc(10) As Integer, i As Integer, N As Integer, temp As String, l As Integer
Dim temp1 As String

og(0).S = "S-FPL53|2.05335|-0.00433293|0.00599599|0.000119549|-1.14714e-05|7.94331e-07"
og(1).S = "S-FPL52|2.10162|-0.00496186|0.00662012|0.000129888|-1.24815e-05|9.0013e-07"
og(2).S = "O_FSL3|2.12051|-0.00890771|0.00903485|0.00014965|-5.74155e-06|5.13232e-07"
og(3).S = "S-FSL5|2.18867|-0.0093813|0.00893622|0.000185887|-1.30218e-05|9.24232e-07"
og(4).S = "S-FSL5Y|2.18878|-0.00939181|0.00875319|0.000299232|-3.96708e-05|2.9291e-06"
og(5).S = "S-FPL51Y|2.21794|-0.00539256|0.0079768|0.000329258|-4.79519e-05|3.40964e-06"
og(6).S = "S-FPL51|2.21812|-0.0055817|0.00812951|0.000190226|-1.65951e-05|1.08384e-06"
og(7).S = "O_BSL3|2.21874|-0.010424|0.00957252|0.000307291|-2.57191e-05|1.55498e-06"
og(8).S = "O_FTL10|2.22238|-0.00858392|0.010873|0.000472156|-4.03982e-05|3.19505e-06"
og(9).S = "S-FTL10|2.22276|-0.0089582|0.0106804|0.000533765|-5.08263e-05|3.84156e-06"
og(10).S = "O_BSL21|2.23476|-0.00978923|0.00978576|0.000245693|-2.24072e-05|1.52168e-06"
og(11).S = "BSL1|2.25133|-0.00929063|0.0106824|0.000147896|3.01987e-06|-7.12201e-08"
og(12).S = "FTL8|2.24999|-0.0100495|0.010544|0.00105721|-0.00011732|8.27555e-06"
og(13).S = "NSL7|2.25246|-0.00863297|0.0110788|0.000252849|-1.12372e-05|9.25485e-07"
og(14).S = "O_NSL33|2.2583|-0.00799521|0.0124885|0.000272481|-1.11289e-05|1.37938e-06"
og(15).S = "O_NSL2|2.26428|-0.00853075|0.012072|0.00027098|-1.56895e-05|1.57557e-06"
og(16).S = "S-NSL2|2.26595|-0.00926639|0.0108609|0.000668388|-7.76388e-05|5.32936e-06"
og(17).S = "S-BSL7|2.27045|-0.0100001|0.0105376|0.000248514|-1.81021e-05|1.36561e-06"
og(18).S = "BSL7Y|2.27029|-0.0102286|0.0109298|7.00532e-05|1.2317e-05|-4.9319e-07"
og(19).S = "O_NSL36|2.26633|-0.00893393|0.012464|0.00044606|-2.92823e-05|2.47102e-06"
og(20).S = "S-NSL36|2.2661|-0.00877424|0.0126318|0.000391901|-2.29311e-05|2.39321e-06"
og(21).S = "S-APL1|2.27624|-0.00966848|0.00918847|0.000425342|-4.75255e-05|2.86618e-06"
og(22).S = "NSL3|2.26974|-0.00715081|0.0132922|-0.000227643|5.43194e-05|-2.23523e-06"
og(23).S = "S-NSL3|2.27204|-0.00830915|0.0117068|0.000260161|-1.39587e-05|1.34624e-06"
og(24).S = "O_BSL22|2.27395|-0.00910389|0.0122419|-0.000291957|5.29702e-05|-2.18134e-06"
og(25).S = "SSL5|2.27945|-0.0107656|0.0118501|0.000659461|-6.33257e-05|4.26042e-06"
og(26).S = "O_NSL5|2.28435|-0.00813759|0.0123278|4.12408e-05|1.71588e-05|-3.18277e-07"
og(27).S = "S-NSL5|2.28567|-0.00904673|0.0115511|0.000271091|-1.65156e-05|1.52982e-06"
og(28).S = "SSL2|2.30074|-0.00988383|0.0137902|0.000218871|8.11762e-07|1.01299e-06"
og(29).S = "O_PBL6|2.30369|-0.00759428|0.014738|0.000294065|-8.72401e-06|2.03442e-06"
og(30).S = "S-TIL6|2.30532|-0.00893042|0.0140388|0.000419205|-1.83067e-05|2.58847e-06"
og(31).S = "PBL6Y|2.30456|-0.0082795|0.0143263|0.000395664|-2.33805e-05|2.97095e-06"
og(32).S = "O_FTM8|2.30651|-0.00935353|0.0139642|0.000711152|-5.54063e-05|5.88463e-06"
og(33).S = "O_BAL12|2.33917|-0.00964213|0.0106515|0.000765492|-8.08042e-05|4.49921e-06"
og(34).S = "S-BAL12|2.3369|-0.0087418|0.0122661|0.000282989|-1.77955e-05|1.55344e-06"
og(35).S = "O_PBL2|2.33039|-0.00860307|0.0145923|0.000576866|-4.00065e-05|3.74206e-06"
og(36).S = "S-TIL2|2.33043|-0.00899186|0.0148345|0.000459812|-2.2504e-05|3.1327e-06"
og(37).S = "O_BAL5|2.35528|-0.00875862|0.0136133|0.000362918|-1.82009e-05|1.97816e-06"
og(38).S = "O_PBL1|2.34909|-0.00762336|0.016528|0.000254806|6.30394e-06|1.66357e-06"
og(39).S = "O_PBL1Y|2.3506|-0.00852622|0.0156817|0.000465866|-1.76317e-05|2.57521e-06"
og(40).S = "S-TIL1|2.35114|-0.0090381|0.0154754|0.000507293|-2.52716e-05|3.61832e-06"
og(41).S = "O_BAL15|2.38784|-0.00982955|0.0123525|0.00047106|-4.23098e-05|2.88493e-06"
og(42).S = "O_BAL15Y|2.38627|-0.00901091|0.0135335|5.94726e-05|2.35485e-05|-1.00195e-06"
og(43).S = "S-BAL50|2.39832|-0.0102291|0.0120262|0.000428494|-3.96211e-05|2.56388e-06"
og(44).S = "S-BAL41|2.41019|-0.0099997|0.0126676|0.000307068|-2.1671e-05|1.66927e-06"
og(45).S = "O_BAL41|2.41085|-0.0102688|0.0122047|0.000446323|-4.08702e-05|2.65606e-06"
og(46).S = "O_PBL26|2.40464|-0.00851558|0.0173139|0.000607638|-2.9999e-05|3.95658e-06"
og(47).S = "O_PBL26Y|2.40508|-0.00864886|0.0168743|0.000796855|-6.51909e-05|6.19209e-06"
og(48).S = "S-TIL26|2.40165|-0.00768196|0.0196216|-0.000181387|9.2421e-05|-2.97911e-06"
og(49).S = "O_BAL14|2.42204|-0.00919841|0.013649|0.000405345|-3.03596e-05|2.42058e-06"
og(50).S = "S-BAL14|2.42211|-0.00935936|0.0137152|0.000364417|-2.39865e-05|2.20362e-06"
og(51).S = "S-BAL22|2.42068|-0.00809485|0.0173573|-0.00158557|0.000290692|-1.72435e-05"
og(52).S = "O_BAL22|2.42885|-0.0116008|0.0110191|0.000674542|-7.47743e-05|4.33179e-06"
og(53).S = "O_BAL2|2.42447|-0.00862985|0.014536|0.000643972|-5.21277e-05|3.97809e-06"
og(54).S = "S-BAL2|2.42376|-0.00863737|0.0152147|0.000417268|-2.14245e-05|2.58696e-06"
og(55).S = "O_BAL3|2.42635|-0.00787339|0.0145781|0.000458539|-3.01393e-05|2.51857e-06"
og(56).S = "S-BAL3|2.42651|-0.0084291|0.014712|0.000397132|-2.33681e-05|2.46972e-06"
og(57).S = "O_PBL21|2.42407|-0.00956412|0.0159709|0.00112768|-9.82051e-05|7.3704e-06"
og(58).S = "O_BAL11|2.43398|-0.0093775|0.0137877|0.000270073|-1.11996e-05|1.29779e-06"
og(59).S = "S-BAL11|2.43423|-0.00957892|0.013634|0.000320574|-1.90063e-05|1.72462e-06"
og(60).S = "O_PBL27|2.42719|-0.00906802|0.0172996|0.000925666|-7.15719e-05|6.391e-06"
og(61).S = "S-TIL27|2.4273|-0.00987231|0.0177727|0.00069571|-3.91601e-05|5.54084e-06"
og(62).S = "S-TIL25|2.4459|-0.0100698|0.0182246|0.000766488|-4.59987e-05|6.0343e-06"
og(63).S = "O_PBL25|2.44672|-0.00982382|0.0173217|0.00106334|-7.97589e-05|6.66652e-06"
og(64).S = "O_PBL25Y|2.44475|-0.00877451|0.0186251|0.000667007|-2.33248e-05|3.52364e-06"
og(65).S = "O_BAM3|2.45509|-0.00856406|0.0167466|0.000560266|-2.99955e-05|3.50802e-06"
og(66).S = "S-BAM3|2.44918|-0.00683526|0.0226291|-0.0019198|0.000421065|-2.5723e-05"
og(67).S = "S-BAL42|2.46791|-0.00969657|0.0135881|0.000328032|-2.00601e-05|1.55559e-06"
og(68).S = "O_L-BAL42|2.46863|-0.0103524|0.0132058|0.00044597|-3.89962e-05|2.6601e-06"
og(69).S = "O_PBL22|2.46678|-0.00765275|0.0199709|0.000386076|7.45058e-06|2.50035e-06"
og(70).S = "O_BAL7|2.47878|-0.00858974|0.0151007|0.000671298|-5.50366e-05|4.00842e-06"
og(71).S = "S-BAL35|2.48782|-0.0104096|0.0134954|0.00027578|-1.59821e-05|1.43208e-06"
og(72).S = "O_BAL35|2.48764|-0.0102539|0.0135975|0.00024342|-1.08212e-05|1.06872e-06"
og(73).S = "O_BAL35Y|2.48955|-0.0112992|0.0122482|0.000700623|-8.44163e-05|5.47206e-06"
og(74).S = "O_L-BAL35|2.48875|-0.0116933|0.0133356|0.000252781|-6.72278e-06|5.5932e-07"
og(75).S = "S-FTM16|2.47192|-0.0100527|0.0208632|0.00103067|-6.12065e-05|9.41257e-06"
og(76).S = "PBM18Y|2.48096|-0.00719431|0.0224707|-6.34444e-05|0.000113656|-5.03612e-06"
og(77).S = "PBM8|2.48453|-0.00833671|0.0201456|0.000729733|-3.38428e-05|4.9963e-06"
og(78).S = "S-TIM8|2.4862|-0.00991777|0.0195341|0.000845798|-5.32044e-05|7.04867e-06"
og(79).S = "PBM8Y|2.48514|-0.00876838|0.0198466|0.000805552|-4.45752e-05|5.551e-06"
og(80).S = "PBM5|2.50813|-0.00904957|0.0201543|0.00104276|-6.8625e-05|6.98478e-06"
og(81).S = "S-TIM5|2.50858|-0.0101363|0.020423|0.000891071|-5.30216e-05|7.5625e-06"
og(82).S = "O_BAM25|2.51374|-0.0088272|0.0183985|0.000884174|-5.96338e-05|5.58867e-06"
og(83).S = "O_BSM51Y|2.53172|-0.0110828|0.0132655|0.000596166|-7.02025e-05|4.86927e-06"
og(84).S = "S-BSM14|2.53098|-0.010667|0.0139089|0.000333785|-2.23536e-05|1.77296e-06"
og(85).S = "O_BSM14|2.53107|-0.0105171|0.0137171|0.000421598|-3.83965e-05|2.73948e-06"
og(86).S = "S-PHM53|2.53298|-0.00943169|0.0130602|0.000297122|-2.27959e-05|1.77277e-06"
og(87).S = "S-BAM4|2.52249|-0.00916622|0.0185184|0.000672201|-3.87187e-05|4.98362e-06"
og(88).S = "O_BAM4|2.52176|-0.00809725|0.0186137|0.000692847|-4.1569e-05|4.74197e-06"
og(89).S = "O_BAM23|2.52247|-0.00880688|0.0198897|0.000760317|-3.0403e-05|4.33278e-06"
og(90).S = "O_BAM5|2.53385|-0.00907834|0.0166595|0.000612604|-4.06561e-05|3.64488e-06"
og(91).S = "O_BSM2|2.54098|-0.00934639|0.0146841|0.000483489|-3.46955e-05|2.36305e-06"
og(92).S = "S-BSM2|2.54053|-0.00925512|0.0150149|0.000398585|-2.71659e-05|2.26726e-06"
og(93).S = "O_BSM7|2.54334|-0.0102514|0.0138411|0.000531363|-4.88471e-05|3.17077e-06"
og(94).S = "PBM3|2.53455|-0.008808|0.0218389|0.000877302|-4.1554e-05|6.09517e-06"
og(95).S = "S-TIM3|2.5474|-0.0157219|0.012913|0.00369487|-0.000461477|3.05216e-05"
og(96).S = "O_BPM4|2.54914|-0.0129822|0.0182201|0.000784288|-5.31576e-05|4.9394e-06"
og(97).S = "O_BPM51|2.54922|-0.0130248|0.018486|0.000639691|-3.56706e-05|4.09314e-06"
og(98).S = "S-NBM51|2.56663|-0.0195523|0.00338728|0.00623249|-0.000942981|5.73719e-05"
og(99).S = "S-BSM4|2.55878|-0.00981824|0.0148538|0.000334841|-2.05435e-05|1.79872e-06"
og(100).S = "O_BSM4|2.55983|-0.0101802|0.0140872|0.000566164|-5.12628e-05|3.25823e-06"
og(101).S = "O_BSM9|2.55979|-0.00930548|0.015719|0.000419941|-2.65829e-05|2.39408e-06"
og(102).S = "S-BSM9|2.56517|-0.0116933|0.0104589|0.00264248|-0.000438965|2.9723e-05"
og(103).S = "O_BSM6|2.5603|-0.00942224|0.0151038|0.000501388|-4.23829e-05|3.12503e-06"
og(104).S = "O_BSM23|2.56025|-0.00980188|0.0157552|0.000775223|-6.72108e-05|4.83751e-06"
og(105).S = "PBM4|2.54673|-0.00946598|0.0210879|0.00122849|-8.53768e-05|8.35684e-06"
og(106).S = "O_BSM21|2.56796|-0.00867394|0.0164553|0.000363834|-2.14793e-05|2.31848e-06"
og(107).S = "S-PHM51|2.57601|-0.0105784|0.0137582|0.000339888|-1.89674e-05|1.43409e-06"
og(108).S = "S-BSM28|2.56676|-0.00960534|0.0172225|0.000486588|-2.47496e-05|3.05388e-06"
og(109).S = "O_BSM28|2.56827|-0.0105205|0.016387|0.000690548|-4.76348e-05|4.07462e-06"
og(110).S = "O_BSM24|2.56981|-0.00872884|0.0166591|0.00019114|2.16232e-06|1.02864e-06"
og(111).S = "S-PHM52|2.57818|-0.00891682|0.0139952|0.000322676|-2.25964e-05|1.83862e-06"
og(112).S = "PBM2|2.55729|-0.00980759|0.0209824|0.00141697|-0.000112339|9.98756e-06"
og(113).S = "PBM2Y|2.55508|-0.00880894|0.0225654|0.000920201|-4.26023e-05|6.34687e-06"
og(114).S = "S-TIM2|2.55688|-0.0105115|0.0219094|0.00104425|-6.5324e-05|9.21104e-06"
og(115).S = "PBM9|2.56045|-0.00962381|0.0212354|0.000986708|-6.39502e-05|7.25112e-06"
og(116).S = "S-BSM16|2.58482|-0.0109493|0.0146041|0.000326101|-1.89672e-05|1.65028e-06"
og(117).S = "O_BSM16|2.58594|-0.0114215|0.0138155|0.000561609|-4.95911e-05|3.06926e-06"
og(118).S = "O_BSM16C|2.58591|-0.0114369|0.0138394|0.000555591|-4.88776e-05|3.04024e-06"
og(119).S = "TIM11|2.56178|-0.0121602|0.020355|0.00162162|-0.000150637|1.44459e-05"
og(120).S = "O_BSM22|2.58386|-0.00923269|0.0165605|0.00043135|-2.41514e-05|2.45014e-06"
og(121).S = "S-BSM22|2.58666|-0.0108762|0.0144762|0.00109827|-0.000127637|8.86303e-06"
og(122).S = "S-BSM10|2.58905|-0.00996316|0.0156175|0.000358884|-2.11249e-05|1.88143e-06"
og(123).S = "O_BSM10|2.58925|-0.00992643|0.0153935|0.000444928|-3.55749e-05|2.79382e-06"
og(124).S = "O_L-BSM15|2.59074|-0.0103815|0.0152508|0.000405943|-3.38621e-05|2.77321e-06"
og(125).S = "O_BSM15|2.59039|-0.00993056|0.0154997|0.000292005|-1.21532e-05|1.36218e-06"
og(126).S = "S-BSM15|2.59111|-0.0105938|0.0151853|0.000367315|-2.2954e-05|2.05282e-06"
og(127).S = "O_BAM8|2.58321|-0.00984582|0.0178029|0.00073088|-5.41207e-05|4.90858e-06"
og(128).S = "PBM1|2.57472|-0.0101124|0.0212982|0.00152344|-0.000121555|1.06444e-05"
og(129).S = "S-TIM1|2.57377|-0.0105361|0.0225412|0.00108019|-6.9338e-05|9.92161e-06"
og(130).S = "O_BAM21|2.57979|-0.00953728|0.0208375|0.000979594|-6.06237e-05|6.64251e-06"
og(131).S = "PBM6|2.60431|-0.00905366|0.0234677|0.00114001|-6.71672e-05|8.20255e-06"
og(132).S = "S-TIM6|2.60625|-0.010792|0.022835|0.00120721|-7.39761e-05|9.68501e-06"
og(133).S = "S-BAM12|2.62922|-0.0104695|0.0195757|0.000661334|-3.62804e-05|4.72524e-06"
og(134).S = "O_BAM12|2.62894|-0.00921392|0.019192|0.000834763|-5.88247e-05|5.51365e-06"
og(135).S = "S-BSM18|2.63801|-0.0107288|0.0163231|0.000437532|-2.53843e-05|2.39297e-06"
og(136).S = "PBM27|2.6126|-0.00877855|0.0245986|0.00103101|-4.22253e-05|7.09846e-06"
og(137).S = "S-TIM27|2.61476|-0.0107412|0.0237847|0.00118027|-6.54069e-05|9.8218e-06"
og(138).S = "S-BSM81|2.64855|-0.0141219|0.0148713|0.000410046|-3.09071e-05|2.25469e-06"
og(139).S = "S-BSM93|2.6483|-0.0116067|0.0153245|0.00062894|-5.50097e-05|3.70931e-06"
og(140).S = "O_BAM9|2.64489|-0.00949528|0.0186726|0.000622924|-3.29776e-05|3.53256e-06"
og(141).S = "S-BSM36|2.65477|-0.012845|0.0150754|0.000571927|-5.08106e-05|3.31072e-06"
og(142).S = "O_BPH35|2.64171|-0.0131314|0.0208787|0.000914561|-5.56258e-05|5.71592e-06"
og(143).S = "PBM22|2.63647|-0.00909343|0.0247648|0.00133138|-8.36317e-05|9.76131e-06"
og(144).S = "S-TIM22|2.63777|-0.0107616|0.0246836|0.0012192|-6.70054e-05|1.04487e-05"
og(145).S = "S-BSM71|2.66718|-0.0103938|0.0173582|0.000506579|-3.28023e-05|3.21966e-06"
og(146).S = "O_BAH30|2.65468|-0.00853827|0.0219465|0.00106248|-7.01613e-05|7.34173e-06"
og(147).S = "S-LAL54|2.67796|-0.0107915|0.0168001|0.000389563|-2.13813e-05|2.09664e-06"
og(148).S = "S-LAL7|2.68262|-0.0119091|0.0160424|0.00039469|-2.77623e-05|2.27778e-06"
og(149).S = "O_BPH5|2.66997|-0.0134831|0.0221575|0.000873259|-4.62769e-05|5.77387e-06"
og(150).S = "S-NBH5|2.6695|-0.012537|0.0222682|0.000821064|-3.33101e-05|5.10791e-06"
og(151).S = "S-BSM25|2.69612|-0.010031|0.0186402|0.000505245|-2.70652e-05|2.82199e-06"
og(152).S = "O_BSM25|2.69492|-0.00961427|0.0195159|0.000238928|9.6116e-06|8.83568e-07"
og(153).S = "S-LAL11|2.7039|-0.0117865|0.0157282|0.00070166|-6.65639e-05|4.19634e-06"
og(154).S = "O_BAH22|2.69316|-0.00911994|0.0246787|0.00120407|-7.32943e-05|8.76001e-06"
og(155).S = "S-TIM39|2.69594|-0.0107897|0.0262327|0.00129722|-6.65602e-05|1.09029e-05"
og(156).S = "PBM39|2.6961|-0.0103725|0.025534|0.00162996|-0.000112664|1.15373e-05"
og(157).S = "S-BAH11|2.71985|-0.0101589|0.0197582|0.000584959|-3.23036e-05|3.67152e-06"
og(158).S = "O_BAH11|2.71777|-0.00872667|0.0209307|0.000271361|6.25598e-06|2.06101e-06"
og(159).S = "O_BAH26|2.71407|-0.0094671|0.0218114|0.000921638|-5.95553e-05|6.6163e-06"
og(160).S = "O_BAH13|2.72314|-0.0100074|0.0206571|0.000787275|-4.92491e-05|5.39917e-06"
og(161).S = "O_BAH32|2.71698|-0.00947969|0.0235616|0.000894946|-4.33437e-05|6.08727e-06"
og(162).S = "S-BAH32|2.71865|-0.0113352|0.0231364|0.000914654|-4.52375e-05|7.2295e-06"
og(163).S = "S-BAH10|2.72932|-0.0105466|0.0203116|0.000586084|-2.85164e-05|3.69988e-06"
og(164).S = "O_BAH10|2.73069|-0.0107059|0.0191587|0.00095464|-8.0878e-05|6.61964e-06"
og(165).S = "S-LAL52|2.74195|-0.0127309|0.0161707|0.000695441|-6.7608e-05|4.43694e-06"
og(166).S = "PBM25|2.71112|-0.00940332|0.0271233|0.00156061|-0.000100064|1.17927e-05"
og(167).S = "S-TIM25|2.71273|-0.0113743|0.0269813|0.00144335|-8.49038e-05|1.31773e-05"
og(168).S = "O_BPH40|2.73791|-0.013303|0.0234474|0.00131706|-9.21521e-05|8.67167e-06"
og(169).S = "S-LAL56|2.75883|-0.0108155|0.0194223|0.000539637|-3.12686e-05|3.22254e-06"
og(170).S = "O_L-LAL12|2.76365|-0.012489|0.0185512|0.000244512|9.04538e-06|4.63948e-09"
og(171).S = "S-LAL12|2.76404|-0.0115656|0.0179336|0.000468785|-3.10023e-05|2.58633e-06"
og(172).S = "PBM28|2.75815|-0.0088413|0.0299626|0.00136267|-6.58103e-05|1.10476e-05"
og(173).S = "PBM28W|2.75815|-0.0088413|0.0299626|0.00136267|-6.58103e-05|1.10476e-05"
og(174).S = "S-TIM28|2.76121|-0.0114534|0.0288139|0.00154093|-8.82831e-05|1.41208e-05"
og(175).S = "O_L-TIM28|2.76023|-0.0106115|0.0291306|0.00152637|-9.25538e-05|1.41557e-05"
og(176).S = "S-LAL9|2.80752|-0.0138162|0.0183436|0.000507828|-3.5271e-05|2.87849e-06"
og(177).S = "S-LAL58|2.81284|-0.0120203|0.0170342|0.00155263|-0.000166078|9.2062e-06"
og(178).S = "O_LAL58|2.80929|-0.0105762|0.0200688|0.000566872|-3.39777e-05|3.31298e-06"
og(179).S = "S-LAL13|2.81362|-0.0134072|0.0190905|0.000502144|-3.05749e-05|2.6982e-06"
og(180).S = "S-BAH54|2.80307|-0.0115357|0.0234988|0.000736788|-2.35521e-05|3.8465e-06"
og(181).S = "S-LAM59|2.8228|-0.0132876|0.0176717|0.00172171|-0.000212784|1.46193e-05"
og(182).S = "O_LAM59|2.81825|-0.0107283|0.0209285|0.000616249|-3.20317e-05|3.67047e-06"
og(183).S = "S-LAL14|2.82763|-0.0145855|0.0183186|0.000480448|-3.05402e-05|2.51218e-06"
og(184).S = "PBM35|2.79398|-0.012094|0.0267009|0.00291072|-0.000282596|2.45453e-05"
og(185).S = "S-TIM35|2.79087|-0.0120261|0.0299835|0.00168943|-9.98453e-05|1.57963e-05"
og(186).S = "S-LAM51|2.82731|-0.011009|0.0214022|0.000590336|-2.89869e-05|3.44835e-06"
og(187).S = "O_LAM51|2.83087|-0.0125953|0.0190474|0.00125907|-0.000115851|7.9533e-06"
og(188).S = "O_BAH71|2.82218|-0.0100003|0.024094|0.00114859|-7.90343e-05|8.1315e-06"
og(189).S = "S-BAH27|2.82346|-0.0116706|0.0237366|0.000937587|-5.53538e-05|7.41831e-06"
og(190).S = "O_BAH27|2.82341|-0.0109901|0.0234491|0.00105369|-7.05742e-05|8.0516e-06"
og(191).S = "O_BAH77|2.82262|-0.0107429|0.0239991|0.000884923|-4.21403e-05|5.85435e-06"
og(192).S = "S-LAL8|2.87876|-0.0142499|0.019608|0.00051498|-3.30338e-05|2.85263e-06"
og(193).S = "O_PBH1|2.845|-0.00936189|0.0326663|0.00168422|-8.81322e-05|1.37347e-05"
og(194).S = "S-TIH1|2.8471|-0.0115377|0.0319968|0.00176108|-0.00010347|1.6826e-05"
og(195).S = "S-LAM3|2.88281|-0.010852|0.0221734|0.000638549|-3.29207e-05|3.73043e-06"
og(196).S = "O_BPH45|2.86226|-0.0125299|0.0294792|0.0012454|-4.39913e-05|7.94272e-06"
og(197).S = "O_BPH8|2.87228|-0.01353|0.0285713|0.00125358|-6.17836e-05|8.90101e-06"
og(198).S = "S-NBH8|2.87048|-0.0123527|0.0297676|0.00086621|-4.02985e-06|5.87974e-06"
og(199).S = "O_LAM58|2.88287|-0.00959138|0.0250591|0.000804597|-3.53672e-05|5.26443e-06"
og(200).S = "S-LAM58|2.88346|-0.010652|0.0251639|0.000683737|-1.12971e-05|3.87087e-06"
og(201).S = "S-LAM52|2.88671|-0.0108172|0.0239462|0.000799329|-4.21664e-05|5.54057e-06"
og(202).S = "O_LAM52|2.88837|-0.0114267|0.0227363|0.00116521|-9.10296e-05|7.88384e-06"
og(203).S = "O_LAM61|2.88938|-0.00979426|0.0231723|0.000700082|-3.64162e-05|4.36089e-06"
og(204).S = "S-LAM61|2.89024|-0.0114357|0.0232561|0.000582654|-1.42383e-05|2.95948e-06"
og(205).S = "S-LAL10|2.89627|-0.0121925|0.0214176|0.000579235|-3.253e-05|3.16692e-06"
og(206).S = "S-TIH18|2.86061|-0.0121613|0.0320356|0.00189842|-0.000114915|1.77728e-05"
og(207).S = "S-BAH28|2.8888|-0.0118319|0.0265632|0.00110783|-5.68776e-05|8.68214e-06"
og(208).S = "O_BAH28|2.89199|-0.0129312|0.0241623|0.00185095|-0.000156686|1.34714e-05"
og(209).S = "O_BAH78|2.88885|-0.0110197|0.0259788|0.00137771|-9.63634e-05|9.57524e-06"
og(210).S = "S-LAL60|2.92242|-0.0152714|0.0199224|0.000588838|-3.75793e-05|2.87138e-06"
og(211).S = "O_PBH10|2.87842|-0.0104263|0.0332493|0.00212204|-0.000139946|1.87363e-05"
og(212).S = "S-TIH10|2.87979|-0.0123157|0.0332106|0.00199092|-0.000120794|1.92159e-05"
og(213).S = "S-LAL18|2.93368|-0.0149363|0.0199174|0.000523481|-3.36055e-05|2.77059e-06"
og(214).S = "O_L-LAM69|2.91812|-0.013366|0.0259708|0.000860867|-3.1829e-05|5.50683e-06"
og(215).S = "S-LAL59|2.9456|-0.0143636|0.0213629|0.00058272|-3.61901e-05|3.19283e-06"
og(216).S = "O_PBH3|2.91424|-0.00950225|0.0351668|0.00192254|-0.000102528|1.62231e-05"
og(217).S = "O_PBH3W|2.91627|-0.0102386|0.0335391|0.0024739|-0.00018376|2.03084e-05"
og(218).S = "S-TIH3|2.91338|-0.0106157|0.0370923|0.000932427|8.3159e-05|5.49468e-06"
og(219).S = "O_BPH50|2.92763|-0.0121246|0.031385|0.00180947|-0.000119882|1.39225e-05"
og(220).S = "O_PBH13|2.91689|-0.010415|0.0343094|0.00244183|-0.000183764|2.25951e-05"
og(221).S = "O_PBH13W|2.91689|-0.010415|0.0343094|0.00244183|-0.000183764|2.25951e-05"
og(222).S = "S-TIH13|2.91816|-0.0124658|0.0345678|0.00214666|-0.00012981|2.0537e-05"
og(223).S = "S-LAL61|2.97091|-0.0150792|0.021138|0.000576374|-3.7189e-05|3.16725e-06"
og(224).S = "S-LAM60|2.97393|-0.0147004|0.0224858|0.000639977|-3.56766e-05|3.55956e-06"
og(225).S = "S-LAM2|2.96798|-0.0112958|0.0246435|0.00081386|-4.63789e-05|5.25022e-06"
og(226).S = "O_LAM7|2.96672|-0.0097431|0.0301891|0.0012877|-6.39977e-05|9.91424e-06"
og(227).S = "S-LAM7|2.97127|-0.0124012|0.0259109|0.00313686|-0.000413146|3.30204e-05"
og(228).S = "O_PBH4|2.96198|-0.0100259|0.0361299|0.00238474|-0.000159896|2.04861e-05"
og(229).S = "O_PBH4W|2.96198|-0.0100259|0.0361299|0.00238474|-0.000159896|2.04861e-05"
og(230).S = "S-TIH4|2.96403|-0.0124509|0.0359324|0.00222838|-0.000135974|2.16836e-05"
og(231).S = "S-YGH51|3.01775|-0.0151703|0.0217423|0.000638237|-4.40727e-05|3.59985e-06"
og(232).S = "TPH55|2.95771|-0.0141053|0.0364949|0.00328176|-0.000278415|3.52653e-05"
og(233).S = "S-LAM54|3.01856|-0.0151599|0.023585|0.000734155|-4.44568e-05|4.62022e-06"
og(234).S = "S-TIH14|2.98205|-0.0128314|0.0372453|0.0024658|-0.000161859|2.50651e-05"
og(235).S = "O_PBH14|2.98444|-0.0122881|0.0344237|0.00354936|-0.000330345|3.34849e-05"
og(236).S = "O_PBH14W|2.98444|-0.0122881|0.0344237|0.00354936|-0.000330345|3.34849e-05"
og(237).S = "O_PBH25|2.98367|-0.010652|0.0356482|0.00295555|-0.000246323|2.66559e-05"
og(238).S = "O_PBH25W|2.98367|-0.010652|0.0356482|0.00295555|-0.000246323|2.66559e-05"
og(239).S = "S-LAM55|3.02056|-0.0120894|0.0277319|0.00104304|-5.60647e-05|7.81241e-06"
og(240).S = "S-LAH66|3.07332|-0.0150796|0.0236518|0.000705804|-4.39772e-05|3.92874e-06"
og(241).S = "O_PBH11|3.05318|-0.0109996|0.0391473|0.00315141|-0.000253351|3.08256e-05"
og(242).S = "O_PBH11W|3.05318|-0.0109996|0.0391473|0.00315141|-0.000253351|3.08256e-05"
og(243).S = "S-TIH11|3.05406|-0.0130695|0.0397627|0.00273785|-0.000181748|2.80629e-05"
og(244).S = "O_PBH23|3.05624|-0.0111469|0.0376803|0.0034131|-0.000295237|3.09479e-05"
og(245).S = "O_PBH23W|3.05624|-0.0111469|0.0376803|0.0034131|-0.000295237|3.09479e-05"
og(246).S = "S-TIH23|3.0564|-0.0127887|0.0391932|0.00261921|-0.0001722|2.62768e-05"
og(247).S = "S-LAH51|3.10978|-0.01405|0.0269287|0.000858757|-4.38773e-05|5.09712e-06"
og(248).S = "S-LAH64|3.12263|-0.0149545|0.0255336|0.000743744|-4.19511e-05|4.323e-06"
og(249).S = "S-LAH67|3.14436|-0.015677|0.0262206|0.000981015|-6.18946e-05|5.61362e-06"
og(250).S = "S-LAH52|3.15279|-0.0141313|0.0286431|0.00097067|-4.82719e-05|5.93993e-06"
og(251).S = "S-LAM66|3.14235|-0.0151338|0.0328121|0.00150303|-8.39495e-05|1.23471e-05"
og(252).S = "S-LAH63|3.16436|-0.0145116|0.0303812|0.00110413|-5.16122e-05|7.1458e-06"
og(253).S = "S-LAH65|3.17677|-0.0153329|0.0264808|0.000851023|-5.10743e-05|4.87949e-06"
og(254).S = "O_PBH6|3.12142|-0.0115494|0.0397181|0.00378124|-0.000324654|3.36238e-05"
og(255).S = "O_PBH6W|3.12142|-0.0115494|0.0397181|0.00378124|-0.000324654|3.36238e-05"
og(256).S = "S-TIH6|3.12078|-0.0131313|0.0417655|0.00285359|-0.000185292|2.88972e-05"
og(257).S = "S-LAH53|3.17295|-0.014312|0.029661|0.0010632|-5.45919e-05|6.88194e-06"
og(258).S = "S-NPH1|3.12004|-0.0163212|0.043652|0.00391067|-0.000314743|4.57004e-05"
og(259).S = "S-LAH54|3.21286|-0.0153839|0.02821|0.000923667|-4.80606e-05|5.09927e-06"
og(260).S = "S-LAH59|3.21695|-0.0138323|0.0275823|0.000773623|-4.05057e-05|4.0916e-06"
og(261).S = "S-LAH60|3.26067|-0.0148196|0.0338179|0.00129467|-5.81242e-05|8.62404e-06"
og(262).S = "S-LAH55|3.27618|-0.0151947|0.030483|0.000955763|-4.58145e-05|5.51064e-06"
og(263).S = "S-TIH53|3.25247|-0.0142466|0.0471745|0.00347622|-0.000236673|3.63884e-05"
og(264).S = "TIH53|3.25429|-0.0147849|0.0455934|0.00406298|-0.000337592|4.30857e-05"
og(265).S = "O_PBH53|3.25076|-0.0107482|0.0470527|0.00364456|-0.00025168|3.35363e-05"
og(266).S = "O_PBH53W|3.25076|-0.0107482|0.0470527|0.00364456|-0.00025168|3.35363e-05"
og(267).S = "O_LAH71|3.30401|-0.0140667|0.036982|0.00241726|-0.000184119|1.97247e-05"
og(268).S = "S-LAH75|3.39767|-0.0159779|0.0363039|0.00201593|-0.000139845|1.47864e-05"
og(269).S = "S-LAH58|3.44114|-0.0140181|0.0348291|0.00110073|-4.68912e-05|5.80815e-06"
og(270).S = "O_LAH78|3.48168|-0.0164706|0.0423941|0.00210552|-0.000101789|1.67131e-05"
og(271).S = "O_PBH72|3.46973|-0.0111503|0.0569409|0.00527659|-0.000434126|5.79466e-05"
og(272).S = "S-NPH2|3.48362|-0.0201007|0.0596889|0.00672222|-0.000623624|9.04828e-05"
og(273).S = "O_PBH21|3.4957|-0.0122642|0.0568726|0.00582915|-0.000498891|6.29313e-05"
og(274).S = "O_PBH71|3.4956|-0.0111312|0.0588892|0.00470887|-0.000326056|4.9883e-05"
og(275).S = "S-LAH79|3.84199|-0.0194046|0.0518706|0.00362595|-0.000185757|2.14807e-05"

'Sort list alpabetic
RiN.Sort_Glass.Clear

For N = 0 To 275
    RiN.Sort_Glass.AddItem og(N).S
Next N

DoEvents

For N = 0 To 275
    RiN.Sort_Glass.ListIndex = N
    og(N).S = RiN.Sort_Glass.Text
Next N


For N = 0 To 275
sloc(0) = 0

For i = 1 To 6
    sloc(i) = InStr(sloc(i - 1) + 1, og(N).S, "|")
Next i
og(N).N = Left$(og(N).S, sloc(1) - 1)

l = Len(og(N).S)
temp = Right$(og(N).S, l - sloc(1))
temp1 = Left$(temp, sloc(2) - sloc(1) - 1)
og(N).a0 = temp1

l = Len(temp)
temp = Right$(og(N).S, l - (sloc(2) - sloc(1)))
temp1 = Left$(temp, sloc(3) - sloc(2) - 1)
og(N).A1 = temp1

l = Len(temp)
temp = Right$(og(N).S, l - (sloc(3) - sloc(2)))
temp1 = Left$(temp, sloc(4) - sloc(3) - 1)
og(N).a2 = temp1

l = Len(temp)
temp = Right$(og(N).S, l - (sloc(4) - sloc(3)))
temp1 = Left$(temp, sloc(5) - sloc(4) - 1)
og(N).a3 = temp1

l = Len(temp)
temp = Right$(og(N).S, l - (sloc(5) - sloc(4)))
temp1 = Left$(temp, sloc(6) - sloc(5) - 1)
og(N).a4 = temp1

l = Len(temp)
temp = Right$(og(N).S, l - (sloc(6) - sloc(5)))
og(N).a5 = temp
Next N

End Sub


